Bug 10849 - Installation crashes just before installing packages
Installation crashes just before installing packages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-16 01:19 EDT by Rabbe Fogelholm
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-12 14:58:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rabbe Fogelholm 2000-04-16 01:19:25 EDT
I trying to install RH 6.2 on a Pentium 100 with 32MB RAM and a 1.2GB hard
drive, w/o X, via anonymous FTP. No matter how I choose to install, whether
custom or any of the preconfigured options, the installation always crashes
right before installing the packages themselves. I recieve the following
Exception Occured screen:

   Traceback (innermost last):
	File "usr/bin/anaconda.real", line 342, in ?
		intf.run(todo, test = test)
	File "usr/lib/anaconda/text.py", line 1165, in run
		rc = apply (step[1](),step[2])
	File "/usr/lib/anaconda/text.py", line 702, in __call__
		if todo.doInstall ():
	File "/usr/lib/anaconda/todo.py", line 1146, in doInstall
		db = rpm.opendb(1, self.instPath)
	rpm.error: cannot open

I am using the updated bootnet image if that is of any help.
Comment 1 Jay Turner 2000-04-17 11:18:59 EDT
Did you go back and forth through any of the installation screens or anything
like that??  What partitions are you creating during the installation?
Comment 2 Anonymous 2000-04-17 16:19:59 EDT
I never used the back button. I making a 128MB swap partition and the rest a
1093MB root partition.
Comment 3 Anonymous 2000-04-24 10:01:59 EDT
I trying to install RH 6.2 GNOME workstation on a Pentium II MMX 400Mhz with
96MB RAM and a new 13GB secondary hard drive, via my primary hard drive. I get
the exact some message.
Comment 4 Anonymous 2000-04-25 17:57:59 EDT
Same symptoms for me, i.e. anaconda stops just before formatting the
hard disk and installing the packages.  I am able to successfully install from
RH6.1 and RH6.2 Beta using the same procedure/configuration.  Installing from
CD-ROM created from ISO9660 CD image and cmp'd the resultant CD files with the
HD files downloaded separately using ftp.  No differences were discovered.  The
md5sum of the ISO file checked OK as well.  Target machine is an IBM PC 300GL
with IDE CDROM.  The symptoms appear similar to bug numbers 10453, 10562, and
11007.
Comment 5 Jay Turner 2000-04-27 10:20:59 EDT
I am still working on this one and cannot for the life of me replicate it.  Here
is what I would like for someone to do for me.  Perform the installation in text
mode (this will allow us to get to the Python debugger)  When the install
crashes and you get the python traceback, select the "Debug" option.  This will
drop you straight into the debugger.  Type "p self.instPath" which will print
the value of the variable "self.instPath" (this is pretty much gdb specialized
for Python!)  Please submit the value of the self.instPath variable.  Thanks.
Comment 6 Michael Fulbright 2000-06-12 14:58:44 EDT
Closed due to inactivity.
Comment 7 Need Real Name 2000-11-01 11:10:16 EST
I've had similar problems, using a cdrom kickstart and an nfs kickstart
installation (always in text mode).  Here's what happens:


CDROM KICKSTART INSTALL
-----------------------


1.  Using these files:

    md5sum                                image
    ----------------------------------------------------------
    535f6374811ddee3bd53f0cfdce4f36e  boot-20000407.img
    9a829c3b4517c1d00e117a7ab11134ba  update-disk-20000419.img

    I get these errors (after "Reading Package Information")

       Traceback (innermost last):
               File "usr/bin/anaconda.real", line 342, in ?
                       intf.run(todo, test = test)
               File "usr/lib/anaconda/text.py", line 1165, in run
                       rc = apply (step[1](),step[2])
               File "/usr/lib/anaconda/text.py", line 702, in __call__
                       if todo.doInstall ():
               File "/tmp/updates/todo.py", line 1068, in doInstall
                       self.getCompsList

2.  Using these files:

    md5sum                                image
    ----------------------------------------------------------
    535f6374811ddee3bd53f0cfdce4f36e  boot-20000407.img
    ffde37e7f95e4c7a118455fc7c642fb8  update-disk-20001025.img

    I get these errors (after "Reading Package Information")

       Traceback (innermost last):
               File "usr/bin/anaconda.real", line 342, in ?
                       intf.run(todo, test = test)
               File "usr/lib/anaconda/text.py", line 1165, in run
                       rc = apply (step[1](),step[2])
               File "/usr/lib/anaconda/text.py", line 702, in __call__
                       if todo.doInstall ():
               File "/tmp/updates/todo.py", line 1068, in doInstall
                       self.getCompsList

NFS KICKSTART INSTALL
-----------------------

1.  Using these files:

    md5sum                                image
    ----------------------------------------------------------
    a764dbba1c8f4129c609ff70777733c3  bootnet-20000407.img
    ffde37e7f95e4c7a118455fc7c642fb8  update-disk-20001025.img

    I get these errors (after "Reading anaconda updates..."):
On console 1:

        exec: Permission denied
        install exited abnormally
        sending termination signals...done
        sending kill signals...done
        disabling swap...
        unmounting filesystems...
                /mnt/source
                /dev/pts
                /proc
        you may safely reboot your system

On console 3 everything seems normal *except*:

        exec of /bin/sh failed: No such file or directory

2. Using these files

    md5sum                                image
    ----------------------------------------------------------
    a764dbba1c8f4129c609ff70777733c3  bootnet-20000407.img
    9a829c3b4517c1d00e117a7ab11134ba  update-disk-20000419.img

    I get the exact same errors.
Comment 8 Corey J. Steele 2000-11-28 11:55:31 EST
What follows is the results of jturner's request to debug the crash... I'm 
hoping that someone out there will be kind enough to take a look at this.

----- begin debug cut -----
> /usr/lib/anaconda/isys.py(230)configNetDevice()
-> return _isys.confignetdevice(device, ip, netmask, gw)
(Pdb) p self.instPath
*** NameError: <exceptions.NameError instance at 8a76388>
(Pdb) 
----- end debug cut ------

In the event that you need to know the hardware specs... Athlon 850, Asus A7V, 
256MB RAM, two Quantum 15gb udma/66 drives in RAID-1 mirror-set via an ARCO 
DupliDiskII controller.  3c900-combo network card, and a Soundd Blster PCI128.

Thanks for any help you can offer, in advance.

Regards, Corey Steele
Comment 9 Corey J. Steele 2000-11-29 09:31:36 EST
I have also tried the install without the RAID card installed (on the off 
chance this was the cause), same results.  I'm stumped here.  HELP!

Note You need to log in before you can comment on or make changes to this bug.